# Uses of Class
org.eclipse.jdt.core.dom.EitherOrMultiPattern

Packages that use EitherOrMultiPattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of EitherOrMultiPattern in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return EitherOrMultiPattern
Modifier and Type
Method
Description
`EitherOrMultiPattern`
AST.`newEitherOrMultiPattern()`
Creates and returns a new unparented `either or multi-pattern` node
Methods in org.eclipse.jdt.core.dom with parameters of type EitherOrMultiPattern
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(EitherOrMultiPattern node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(EitherOrMultiPattern node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(EitherOrMultiPattern node)`
Visits the given type-specific AST node.